services:
  webform_simplify.element_alter:
    class: Drupal\webform_simplify\WebformElementAlter
    arguments:
      - '@config.factory'
      - '@plugin.manager.webform_simplify.element'

  webform_simplify.settings_alter:
    class: Drupal\webform_simplify\WebformSettingsAlter
    arguments:
      - '@config.factory'

  webform_simplify.submissions_settings_alter:
    class: Drupal\webform_simplify\WebformSubmissionsSettingsAlter
    arguments:
      - '@config.factory'

  webform_simplify.form_settings_alter:
    class: Drupal\webform_simplify\WebformFormSettingsAlter
    arguments:
      - '@config.factory'

  webform_simplify.route.subscriber:
    class: Drupal\webform_simplify\EventSubscriber\WebformRouteSubscriber
    tags: [{ name: event_subscriber }]
    arguments:
      - '@current_user'

  plugin.manager.webform_simplify.element:
    class: Drupal\webform_simplify\WebformSimplifyElementManager
    parent: default_plugin_manager
